function test
n = 10;
r = 5;
k = 2;

min_val = inf;
max_val = -inf;
for iter = 1:10000000000
V = reflecter(randn);
I = eye(k);
val = trace(I-V);
max_val = max(max_val,val);
min_val = min(min_val,val);
fprintf('%d %f %f\n',iter,max_val,min_val);
end
dd

    
Com = combs([1:n],k);
X = randn(n,r);
f1 = 0;f2 = 0;
V = [];
Y = zeros(n,n);
for i=1:size(Com,1)
    B = Com(i,:);
    V{i} = OrthProj(randn(k));
    UB = I2P(B,n);
    UB*V{i}*UB'*X
    UB*V{i}*X(B,:)
    ddddd
    
end

 
 



function r = h(X)
r = norm(X(:),1);




 